# Akamai\Open\EdgeGrid\Handler\Debug::__construct

####

## Signature

`public function __construct([ $resource = null] )`

## Parameters

`$resource` —

## Test Coverage

### Information

- Coverage: 9/9 Lines (100%)
- Tests: 15
- Passed: 15 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testStaticDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugOptionSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testStaticDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceOverrideStream
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugMessages
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoDetail
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoJsonBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testStringResource
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInvalidStringResource
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugResponseExceptionNoCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithBody